overdue-scratch

Author Topic: XCode 4.4 - can't compile Chameleon  (Read 2669 times)

0 Members and 1 Guest are viewing this topic.

smolderas

  • Entrant
  • Posts: 2
XCode 4.4 - can't compile Chameleon
« on: July 29, 2012, 01:38:25 PM »
With the new Xcode 4.4 on ML, you can't make the trunk.

Is there any fix yet?
« Last Edit: July 29, 2012, 06:23:31 PM by Gringo Vermelho »

Gringo Vermelho

  • Forum Moderator
  • Posts: 606
  • The gray monster energy hat
Re: Chameleon build?!
« Reply #1 on: July 29, 2012, 06:22:17 PM »
Confirmed. XCode 4.4 with Command Line Tools installed.

Code: [Select]
Gringos-Mac-Pro:trunk Gringo$ make
[MAKE] config
/bin/sh: line 1:  1059 Segmentation fault: 11  /Users/Gringo/Desktop/trunk/sym/i386/cconfig /Users/Gringo/Desktop/trunk/Cconfig rebuild
make[1]: *** [rebuild_config] Error 139
make: *** [/Users/Gringo/Desktop/trunk/.config] Error 2
10.9.0 - ASUS P8Z77-V Pro - i5 3570K - GTX 660 - Chameleon 2.2 svn-r2xxx
How to...
Install Chameleon: http://forum.voodooprojects.org/index.php/topic,649
Make your own Chameleon boot CD: http://forum.voodooprojects.org/index.php/topic,484.msg2131.html#msg2131

Gringo Vermelho

  • Forum Moderator
  • Posts: 606
  • The gray monster energy hat
Re: XCode 4.4 - can't compile Chameleon
« Reply #2 on: August 07, 2012, 12:56:01 AM »
New error, svn rev 2240:

Code: [Select]
[LD] boot.sys
ld: warning: -segaddr __INIT not 4096 byte aligned
ld: warning: grandfathering in old symbol '__DATA__bss__begin' as alias for 'section$start$__DATA$(bool, short, short)'
ld: warning: grandfathering in old symbol '__DATA__bss__end' as alias for 'section$end$__DATA$(bool, short, short)'
ld: warning: grandfathering in old symbol '__DATA__common__begin' as alias for 'section$start$__DATA$__common'
ld: warning: grandfathering in old symbol '__DATA__common__end' as alias for 'section$end$__DATA$__common'
Undefined symbols for architecture i386:
  "start", referenced from:
     -u command line option
     (maybe you meant: _start_built_in_module, _startprog , dyld_void_start , _symbols_module_start , _start_built_in_modules )
ld: symbol(s) not found for architecture i386
collect2: ld returned 1 exit status
make[3]: *** [boot] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
10.9.0 - ASUS P8Z77-V Pro - i5 3570K - GTX 660 - Chameleon 2.2 svn-r2xxx
How to...
Install Chameleon: http://forum.voodooprojects.org/index.php/topic,649
Make your own Chameleon boot CD: http://forum.voodooprojects.org/index.php/topic,484.msg2131.html#msg2131

Gringo Vermelho

  • Forum Moderator
  • Posts: 606
  • The gray monster energy hat
Re: XCode 4.4 - can't compile Chameleon
« Reply #3 on: August 08, 2012, 06:39:23 AM »
Uninstalled, then downloaded and installed Xcode again. Still getting the same error.
10.9.0 - ASUS P8Z77-V Pro - i5 3570K - GTX 660 - Chameleon 2.2 svn-r2xxx
How to...
Install Chameleon: http://forum.voodooprojects.org/index.php/topic,649
Make your own Chameleon boot CD: http://forum.voodooprojects.org/index.php/topic,484.msg2131.html#msg2131

Blackosx

  • Forum Moderator
  • Posts: 1117
Re: XCode 4.4 - can't compile Chameleon
« Reply #4 on: August 08, 2012, 11:39:47 AM »
Hi Gringo.

There have been some posts to the Chameleon package installer thread at InsanelyMac about the same issue. In post #1325, zhell posted that md is no longer part of the OS since ML and pointed to a link for compiling that binary to add to the system. However, that still leaves the [LD] error as you've posted above.

I'm not sure what direction the devs are taking on this.

For now, I've created a separate 16GB HDD partition with Lion and Xcode 4.3 to get around the problem.
10.9.4 | Asus Maximum IV Gene-Z | i7-2600 3.40GHz | 4GB | Radeon 5770 1GB

Gringo Vermelho

  • Forum Moderator
  • Posts: 606
  • The gray monster energy hat
Re: XCode 4.4 - can't compile Chameleon
« Reply #5 on: August 08, 2012, 06:53:18 PM »
Thanks Black, I'll just go back to 4.3 then, still running Lion here.
10.9.0 - ASUS P8Z77-V Pro - i5 3570K - GTX 660 - Chameleon 2.2 svn-r2xxx
How to...
Install Chameleon: http://forum.voodooprojects.org/index.php/topic,649
Make your own Chameleon boot CD: http://forum.voodooprojects.org/index.php/topic,484.msg2131.html#msg2131

cparm

  • Observer
  • Posts: 12
Re: XCode 4.4 - can't compile Chameleon
« Reply #6 on: August 08, 2012, 09:38:31 PM »
you can try to add the option "-e boot2" to the final linker, to be able to compile successfully the project, but it will result to an unbootable file,

apparently we absolutely don't need md, but we need an older version of ld

Blackosx

  • Forum Moderator
  • Posts: 1117
Re: XCode 4.4 - can't compile Chameleon
« Reply #7 on: August 09, 2012, 05:05:24 PM »
Thanks for the feedback on this cparm.
I couldn't find where to add '-e boot2' so I didn't try it. :-[  But then if it produces an un-bootable file then I guess there' no need to try.

I did try compiling in ML with Xcode4.4 using /usr/bin/ld from Lion but I didn't get very far.
Any other ideas?
10.9.4 | Asus Maximum IV Gene-Z | i7-2600 3.40GHz | 4GB | Radeon 5770 1GB

cparm

  • Observer
  • Posts: 12
Re: XCode 4.4 - can't compile Chameleon
« Reply #8 on: August 10, 2012, 05:17:12 PM »
Thanks for the feedback on this cparm.
I couldn't find where to add '-e boot2' so I didn't try it. :-[  But then if it produces an un-bootable file then I guess there' no need to try.

I did try compiling in ML with Xcode4.4 using /usr/bin/ld from Lion but I didn't get very far.
Any other ideas?
yep try this version,
built with xcode4.4 under mountain lion (not tested)

Blackosx

  • Forum Moderator
  • Posts: 1117
Re: XCode 4.4 - can't compile Chameleon
« Reply #9 on: August 10, 2012, 05:52:22 PM »
Nice!
I'll try when I get home...  Report back a bit later. Thanks

EDIT:
Just tested the stage 2 boot file only. Bingo!
Code: [Select]
Chameleon 2.1svn (svn-r0:2039) [2012-08-10 16:36:08] boots just fine. Well done :)
« Last Edit: August 10, 2012, 06:47:39 PM by Blackosx »
10.9.4 | Asus Maximum IV Gene-Z | i7-2600 3.40GHz | 4GB | Radeon 5770 1GB

Blackosx

  • Forum Moderator
  • Posts: 1117
Re: XCode 4.4 - can't compile Chameleon
« Reply #10 on: August 24, 2012, 06:12:11 PM »
Thank you for your latest trunk commits cparm.  ;D
Building Chameleon from within 10.8.1 using Xcode 4.4.1 works well here.

EDTI: There are issues building the package installer from the trunk, but maybe they stem back from old changes as I haven't built it for a while. I'll look to see if I can find out what's up with it.
« Last Edit: August 24, 2012, 06:18:51 PM by Blackosx »
10.9.4 | Asus Maximum IV Gene-Z | i7-2600 3.40GHz | 4GB | Radeon 5770 1GB

Gringo Vermelho

  • Forum Moderator
  • Posts: 606
  • The gray monster energy hat
Re: XCode 4.4 - can't compile Chameleon
« Reply #11 on: August 24, 2012, 10:24:19 PM »
Confirmed, issuing make from the command line now works.
The xcode project doesn't compile in xcode 4.4.1, same error i posted earlier.
« Last Edit: August 24, 2012, 10:26:09 PM by Gringo Vermelho »
10.9.0 - ASUS P8Z77-V Pro - i5 3570K - GTX 660 - Chameleon 2.2 svn-r2xxx
How to...
Install Chameleon: http://forum.voodooprojects.org/index.php/topic,649
Make your own Chameleon boot CD: http://forum.voodooprojects.org/index.php/topic,484.msg2131.html#msg2131